@use "../layout/" as layout;
@use "../abstracts/" as abstracts;
@use "../base/" as base;

@use "../components/logo" as logo;
@use "sass:map";

.search__label--hidden {
  display: none;
}

.navigation__search .search__input {
  @include abstracts.inputField();
}

.navigation__list--desktop {
  .list__link {
    text-decoration: none;
    @include abstracts.typography(
      map.get(base.$sl-font-sizes, "regular"),
      map.get(base.$sl-font-weights, "bold"),
      map.get(base.$sl-line-heights, "normal"),
      map.get(abstracts.$sl-colors--text, "secondary")
    );
  }
}

.navigation__profile .icon--shopping-bag {
  position: relative;
  padding: 1em;
  background: #f3f4ff;
  border-radius: 16px;
  cursor: pointer;

  .icon__img {
    display: block;
    margin: auto;
  }

  .icon__text--number-of-orders {
    position: absolute;
    top: 0;
    right: 0;

    @include abstracts.typography(
      10px,
      map.get(base.$sl-font-weights, "bold"),
      14px,
      white
    );
    background-color: map.get(abstracts.$sl-colors--text, "primary");
    padding: 4px 7.5px 4px 7.5px;
    border-radius: 50%;
  }
}

.navigation__profile .picture__img {
  cursor: pointer;
  border-radius: 16px;
}

.navigation__list--mobile {
  padding: 1em;
  background: #f3f4ff;
  border-radius: 16px;

  .icon__img {
    display: block;
    margin: auto;
  }
}

.hero {
  .hero__card {
    background: #f3f4ff;
    border-radius: 16px;
    margin: 2em 4em 2em 4em;
  }

  .card__text--heading {
    font-weight: 600;
    font-size: 20px;
    line-height: 28px;
    letter-spacing: 0.1px;
    color: #2b2b43;
  }

  .card__text--discount {
    &--purple {
      color: #4e60ff;
      font-size: 40px;
      font-weight: 800;
      line-height: 56px;
      letter-spacing: 0.1px;
    }

    &--orange {
      color: #fd6d22;
      font-size: 40px;
      font-weight: 800;
      line-height: 56px;
      letter-spacing: 0.1px;
    }
  }
}

.menu-options__button {
  background: #f3f4ff;
  border-radius: 16px;
  border: none;
  cursor: pointer;
}

.menu-options__button:hover {
  border: 2px solid #4e60ff;
}

.featured_text {
  background: #4e60ff;
  border-radius: 0px 16px;
  width: 94px;
  height: 32px;
  color: white;
}

.card__container .card__img {
  border-radius: 0px 16px;
}

.cards .search_results_heading {
  font-weight: 700;
  font-size: 18px;
  line-height: 24px;

  letter-spacing: 0.1px;

  color: #2b2b43;
}

.card__keywords > * {
  display: inline-block;
  background: #edeef2;
  border-radius: 100px;

  & > .text--match {
    font-weight: 600;
    font-size: 12px;
    line-height: 16px;
    color: #545563;
  }
}

.text--price {
  font-weight: 600;
  font-size: 12px;
  line-height: 16px;
  color: #83859c;
}
